﻿//画像の配置方法

//　　　　　　　----行動1-----　----行動2-----　----行動3-----
//　　　　　　　左 振り向き 右　左 振り向き 右　左 振り向き 右
//　アニメ1枚目 □ □ □ □ □  □ □ □ □ □  □ □ □ □ □
//　アニメ2枚目 □ □ □ □ □  □ □ □ □ □  □ □ □ □ □
//　アニメ3枚目 □ □ □ □ □  □ □ □ □ □  □ □ □ □ □
//　　　 :
//　　　 :

//画像の縦幅、横幅は必ず偶数にすること。
//なお、ボスキャラに画像を割り当てる際は
//パターン画像からボスキャラの絵を取り除いておくこと。

//---------ここから

Enemy_Img = new Array();
Enemy_Hei = new Array();
Enemy_Wid = new Array();
Enemy_Return = new Array();
Enemy_Anime = new Array();
Enemy_Imset = new Array();
Enemy_Show = new Array();

BossAtk=new Array();
BossJik=new Array();
BossInt=new Array();

//---------ここまで弄くらないでください。

//画像の割り当て
//0.足元に合わせる（地上の敵に）
//1.中心に合わせる（空中の敵に）
//2.頭に合わせる（下に伸びるイメージ）

//落ちる亀
//行動1…歩く
//行動2…落下（振り向きは省略）
//行動3…潰された（振り向きは省略）
//行動4…倒された（振り向きは省略）

Enemy_Img[0]="kame1.gif";	//使う画像
Enemy_Hei[0]=32;		//画像の縦幅
Enemy_Wid[0]=32;		//画像の横幅
Enemy_Return[0]=3;		//振り向く時に使うアニメの数（0を指定すれば無効にできます。）
Enemy_Anime[0]=4;		//敵のアニメーション
Enemy_Imset[0]=0;		//画像の割り当て

//落ちない亀
//行動1…歩く
//行動2…落下（振り向きは省略）
//行動3…潰された（振り向きは省略）
//行動4…倒された（振り向きは省略）

Enemy_Img[1]="kame2.gif";	//使う画像
Enemy_Hei[1]=32;		//画像の縦幅
Enemy_Wid[1]=32;		//画像の横幅
Enemy_Return[1]=3;		//振り向く時に使うアニメの数（0を指定すれば無効にできます。）
Enemy_Anime[1]=4;		//敵のアニメーション
Enemy_Imset[1]=0;		//画像の割り当て

//追跡亀
//行動1…歩く
//行動2…梯子を登る（左向き、振り向きは省略）
//行動3…梯子を降る（左向き、振り向きは省略）
//行動4…落下（振り向きは省略）
//行動5…潰された（振り向きは省略）
//行動6…倒された（振り向きは省略）

Enemy_Img[2]="kame3.gif";	//使う画像
Enemy_Hei[2]=32;		//画像の縦幅
Enemy_Wid[2]=32;		//画像の横幅
Enemy_Return[2]=3;		//振り向く時に使うアニメの数（0を指定すれば無効にできます。）
Enemy_Anime[2]=4;		//敵のアニメーション
Enemy_Imset[2]=0;		//画像の割り当て

//ピカチー
//行動1…待機
//行動2…ジャンプ
//行動3…攻撃時
//行動4…降下
//行動5…潰された（振り向きは省略）
//行動6…倒された（振り向きは省略）

Enemy_Img[3]="Pikachi.gif";	//使う画像
Enemy_Hei[3]=48;		//画像の縦幅
Enemy_Wid[3]=48;		//画像の横幅
Enemy_Return[3]=1;		//振り向く時に使うアニメの数（0を指定すれば無効にできます。）
Enemy_Anime[3]=4;		//敵のアニメーション
Enemy_Imset[3]=0;		//画像の割り当て

//追尾ピカチー
//行動1…横に追尾
//行動2…上に追尾（振り向きは省略）
//行動3…下に追尾（振り向きは省略）
//行動4…上を向く（振り向きは省略）
//行動5…下を向く（振り向きは省略）
//行動6…上から横を向く
//行動7…下から横を向く
//行動8…上から下を向く（振り向きは省略）
//行動9…下から上を向く（振り向きは省略）
//行動10…倒された（振り向きは省略）
//行動11…潰された（振り向きは省略）

Enemy_Img[4]="Chilm.gif";	//使う画像
Enemy_Hei[4]=32;		//画像の縦幅
Enemy_Wid[4]=32;		//画像の横幅
Enemy_Return[4]=1;		//振り向く時に使うアニメの数（0を指定すれば無効にできます。）
Enemy_Anime[4]=4;		//敵のアニメーション
Enemy_Imset[4]=0;		//画像の割り当て

//チコリン
//行動1…待機
//行動2…潰された（振り向きは省略）
//行動3…倒された（振り向きは省略）

Enemy_Img[5]="Chicorin.gif";	//使う画像
Enemy_Hei[5]=32;		//画像の縦幅
Enemy_Wid[5]=32;		//画像の横幅
Enemy_Return[5]=3;		//振り向く時に使うアニメの数（0を指定すれば無効にできます。）
Enemy_Anime[5]=4;		//敵のアニメーション
Enemy_Imset[5]=0;		//画像の割り当て

//ヒノララシ
//行動1…歩く
//行動2…落下（振り向きは省略）
//行動3…倒された（振り向きは省略）

Enemy_Img[6]="Hinorarashi.gif";	//使う画像
Enemy_Hei[6]=32;		//画像の縦幅
Enemy_Wid[6]=32;		//画像の横幅
Enemy_Return[6]=3;		//振り向く時に使うアニメの数（0を指定すれば無効にできます。）
Enemy_Anime[6]=4;		//敵のアニメーション
Enemy_Imset[6]=0;		//画像の割り当て

//上下に動くポッピー
//行動1…飛んでいる
//行動2…潰された（振り向きは省略）
//行動3…倒された（振り向きは省略）

Enemy_Img[7]="Doggas.gif";	//使う画像
Enemy_Hei[7]=32;		//画像の縦幅
Enemy_Wid[7]=32;		//画像の横幅
Enemy_Return[7]=1;		//振り向く時に使うアニメの数（0を指定すれば無効にできます。）
Enemy_Anime[7]=16;		//敵のアニメーション
Enemy_Imset[7]=0;		//画像の割り当て

//左右に動くポッピー
//行動1…飛んでいる
//行動2…潰された（振り向きは省略）
//行動3…倒された（振り向きは省略）

Enemy_Img[8]="Poppy.gif";	//使う画像
Enemy_Hei[8]=32;		//画像の縦幅
Enemy_Wid[8]=32;		//画像の横幅
Enemy_Return[8]=3;		//振り向く時に使うアニメの数（0を指定すれば無効にできます。）
Enemy_Anime[8]=4;		//敵のアニメーション
Enemy_Imset[8]=0;		//画像の割り当て

//マリリ
//行動1…待機
//行動2…ジャンプ
//行動3…ジャンプから降下に移る時
//行動4…降下
//行動5…降下の途中で振り向いた後
//行動6…潰された（振り向きは省略）
//行動7…倒された（振り向きは省略）

Enemy_Img[9]="mariri.gif";	//使う画像
Enemy_Hei[9]=32;		//画像の縦幅
Enemy_Wid[9]=32;		//画像の横幅
Enemy_Return[9]=1;		//振り向く時に使うアニメの数（0を指定すれば無効にできます。）
Enemy_Anime[9]=4;		//敵のアニメーション
Enemy_Imset[9]=0;		//画像の割り当て

//ヤチャモ
//行動1…待機
//行動2…潰された（振り向きは省略）
//行動3…倒された（振り向きは省略）

Enemy_Img[10]="Yachamo.gif";	//使う画像
Enemy_Hei[10]=32;		//画像の縦幅
Enemy_Wid[10]=32;		//画像の横幅
Enemy_Return[10]=3;		//振り向く時に使うアニメの数（0を指定すれば無効にできます。）
Enemy_Anime[10]=4;		//敵のアニメーション
Enemy_Imset[10]=0;		//画像の割り当て

//ミズタロウ
//行動1…待機
//行動2…歩く
//行動3…潰された（振り向きは省略）
//行動4…倒された（振り向きは省略）

Enemy_Img[11]="mizutarou.gif";	//使う画像
Enemy_Hei[11]=32;		//画像の縦幅
Enemy_Wid[11]=32;		//画像の横幅
Enemy_Return[11]=3;		//振り向く時に使うアニメの数（0を指定すれば無効にできます。）
Enemy_Anime[11]=4;		//敵のアニメーション
Enemy_Imset[11]=0;		//画像の割り当て

//エアームズ
//行動1…飛んでいる
//行動2…潰された（振り向きは省略）
//行動3…倒された（振り向きは省略）
//行動4…壁に当たって止まる（右向き、振り向きは省略）
//行動5…止まった後（右向き、振り向きは省略）

Enemy_Img[12]="Airmz.gif";	//使う画像
Enemy_Hei[12]=32;		//画像の縦幅
Enemy_Wid[12]=32;		//画像の横幅
Enemy_Return[12]=3;		//振り向く時に使うアニメの数（0を指定すれば無効にできます。）
Enemy_Anime[12]=4;		//敵のアニメーション
Enemy_Imset[12]=0;		//画像の割り当て

//タイキング
//行動1…泳いでいる
//行動2…倒された（振り向きは省略）

Enemy_Img[13]="Taiking.gif";	//使う画像
Enemy_Hei[13]=32;		//画像の縦幅
Enemy_Wid[13]=32;		//画像の横幅
Enemy_Return[13]=3;		//振り向く時に使うアニメの数（0を指定すれば無効にできます。）
Enemy_Anime[13]=4;		//敵のアニメーション
Enemy_Imset[13]=0;		//画像の割り当て

//クラゲッソ
//行動1…浮いている
//行動2…倒された（振り向きは省略）

Enemy_Img[14]="Cragesso.gif";	//使う画像
Enemy_Hei[14]=32;		//画像の縦幅
Enemy_Wid[14]=32;		//画像の横幅
Enemy_Return[14]=1;		//振り向く時に使うアニメの数（0を指定すれば無効にできます。）
Enemy_Anime[14]=4;		//敵のアニメーション
Enemy_Imset[14]=0;		//画像の割り当て

//ボス
//行動1…待機
//行動2…攻撃（振り向きは省略）
//行動3…走る
//行動4…体当たり
//行動5…ジャンプ
//行動6…ジャンプから降下に移る時（振り向きは省略）
//行動7…降下（振り向きは省略）
//行動8…歩く
//行動9…倒された（振り向きは省略）
//行動10…潰された（振り向きは省略）
//行動11…潰されて消える（右向き、振り向きは省略）

//グラーダ

Enemy_Img[15]="Grouda.gif";	//使う画像
Enemy_Hei[15]=64;		//画像の縦幅
Enemy_Wid[15]=64;		//画像の横幅
Enemy_Return[15]=0;		//振り向く時に使うアニメの数（0を指定すれば無効にできます。）
Enemy_Anime[15]=4;		//敵のアニメーション
Enemy_Imset[15]=0;		//画像の割り当て

/*

//カイオール

Enemy_Img[15]="Kaiole.gif";	//使う画像
Enemy_Hei[15]=64;		//画像の縦幅
Enemy_Wid[15]=64;		//画像の横幅
Enemy_Return[15]=0;		//振り向く時に使うアニメの数（0を指定すれば無効にできます。）
Enemy_Anime[15]=4;		//敵のアニメーション
Enemy_Imset[15]=0;		//画像の割り当て

//センクウザ

Enemy_Img[15]="Sencueza.gif";	//使う画像
Enemy_Hei[15]=64;		//画像の縦幅
Enemy_Wid[15]=64;		//画像の横幅
Enemy_Return[15]=0;		//振り向く時に使うアニメの数（0を指定すれば無効にできます。）
Enemy_Anime[15]=4;		//敵のアニメーション
Enemy_Imset[15]=0;		//画像の割り当て

*/

//Boss_Attack(ボスの行動,周期,攻撃,番号(0から指定してください));で、ボスの攻撃を指定する。
//※一つの行動中に２つ以上のことを行う場合に、番号を指定してください。
//例）歩き中に火の粉とポッピーを飛ばしたい場合
//Boss_Attack(8,10,7,0);
//Boss_Attack(8,10,3,1);

//攻撃
//0.落ちる亀を落とす
//1.落ちない亀を落とす
//2.ヒノララシを落とす
//3.ポッピーを飛ばす
//4.マリリを飛ばす
//5.電撃を飛ばす
//6.葉っぱカッターを飛ばす
//7.火の粉を飛ばす
//8.水鉄砲を飛ばす
//9.爆撃を落とす
//10.水の波動を行う
//11.グレネード爆発を起こす
//12.噴火を行う

//----以降も弄くらないこと。
EnPrevCon=new Array();		EnNextCon=new Array();
EnPrevPat=new Array();		EnNextPat=new Array();
EnPrevDir=new Array();		EnNextDir=new Array();
EnPrevCode=new Array();		EnNextCode=new Array();

EnPrPrPat=new Array();

EnSeed=new Array();
EnImg=new Array();

En_R_R=new Array();		En_L_R=new Array();
En_R_W=new Array();		En_L_W=new Array();

EnDirAnime=new Array();		EnWiDirAni=new Array();

DownFlag=new Array();

EnWideDir=new Array();		EnPrWiDir=new Array();

WidToUp=new Array();		WidToDw=new Array();
UpToWid=new Array();		DwToWid=new Array();
UpToDw=new Array();		DwToUp=new Array();

EnAirRet=new Array();
EnAirStp=new Array();
AniCount=new Array();

EnCount=new Array();

Enemy_Chip=new Array();

Enemy_Yok = new Array();
Enemy_Yok1=new Array(4,4,6,6,11,3,3,3,3,7,3,6,5,2,2,11);		//行動の数
Enemy_Yok2=new Array(3,3,5,2,8,2,2,2,2,2,2,5,4,1,1,5);			//振り向き無効
Enemy_Yok3=new Array(0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0);			//左向き無効

Enemy_Show=new Array();

BossIng = new Array();
BossTim = new Array();
BFX=0;
BFX=0;
BFN=0;
BF=0;

BossVaY=0;
BossPrevVY=0;

BossF=0;
BossNextDir=0;
BossPrevDir=0;
BossNextCon=0;
BossPrevCon=0;
BossNextDA=0;
BossPrevDA=0;

ToGrFlag=0;
BossLR=0;
BossRR=0;
BsDirAnime=0;
BsPrPattern=0;
BossPattern=0;
BsAniCnt=0;
